<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Carrito</title>
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.min.js"/>
    </h:head>
    <h:body>
        <h:form id="frmConsultar">
            <h:outputLabel value="Contenido Carrito"/>
            <p:dataTable id="dtConsulta" value="#{mbCarrito.lstCarrito}" var="car">
                <p:column headerText="Imagen">
                    <h:outputText value="#{car.idCarrito}   ==  #{car.producto.imagen} "/>
                </p:column>
 
                <p:column headerText="Nombre Producto">
                    <h:outputText value="#{car.producto.nombre} "/>
                </p:column>
                 <p:column headerText="Descripcion Producto">
                    <h:outputText value="#{car.producto.descripcion}"/>
                </p:column>
                
                <p:column headerText="Precio">
                    <h:outputText value="#{car.producto.precio}"/>     
                </p:column> 
                 <p:column headerText="Cantidad">
                    <h:outputText value="#{car.cantidad}"/>     
                </p:column>
                   <p:column headerText="Total a pagar">
                </p:column>
                
                <p:column headerText="..">
                    <p:growl id="growl_e" showDetail="true"/>
                    <p:commandButton  value="Eliminar"
                                      oncomplete="PF('dlgEliminar').show()"
                                      update=":frmEliminar">
                        <f:setPropertyActionListener target="#{mbCarrito.obj_Carrito}" value="#{car}"/>     
                    </p:commandButton>
                </p:column>
            </p:dataTable>

               <h:link class="nav-link" outcome="/Envio" value="[COMPRAR]"/>
        </h:form>
        
        
        <p:dialog id="dlgeliminar" widgetVar="dlgEliminar" header="Eliminar Producto del carrito"
                  showEffect="explode" hideEffect="explode"
                  modal="true" minWidth="200" resizable="false">
            <h:form id="frmEliminar">         
                <p:outputLabel value="Desea eliminar el producto: #{mbCarrito.obj_Carrito.idCarrito}"/>
                <p:commandButton icon="ui-icon-check" value="SI"
                                 actionListener="#{mbCarrito.eliminarCarrito()}"
                                 update=":frmConsultar" 
                                 oncomplete="PF('dlgEliminar').hide()"/>
                <p:commandButton icon="ui-icon-close" value="NO"
                                 onclick="PF('dlgEliminar').hide()"/>
                
            </h:form>
           
        </p:dialog>    
<!--        <h:form id="frmCarrito">
            <h:outputLabel value="CONTENIDO DE CARRITO"/>
            <p:dataTable class="table-dark" var="car">
                
                <p:column class="table-dark">
                    <f:facet name="header">Nombre del Producto</f:facet>
                    #{car.NombreProducto}
                </p:column>
                <p:column class="table-dark">
                    <f:facet name="header">Precio</f:facet>
                    #{car.precio}
                </p:column>
                <p:column class="table-dark">
                    <f:facet name="header">Total</f:facet>
                    #{car.Total}
                </p:column>
                <p:column class="table-dark">
                    <f:facet name="header">Eliminar</f:facet>
                    <h:commandButton class="btn btn-outline-danger" id="btnEliminar" value="Eliminar"/>
                </p:column>
            </p:dataTable>   
            <h:commandButton class="btn btn-outline-info" id="btnComprar" action="/Envio" value="COMPRAR"/>
        </h:form>-->
        
         
    </h:body>
</html>

